Package org.apache.sling.commons.crypto.internal

# Class FilePasswordProvider

java.lang.Object
org.apache.sling.commons.crypto.internal.FilePasswordProvider

All Implemented Interfaces:
  `PasswordProvider`

public final class FilePasswordProvider extends Object implements PasswordProvider
Provider of passwords from files.

See Also:
  - `File`

## Constructor Summary

Constructors
Constructor
Description
`FilePasswordProvider()`

## Method Summary

Modifier and Type
Method
Description
`char @NotNull []`
`getPassword()`
Provides the password.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilePasswordProvider

public FilePasswordProvider()

## Method Details

### getPassword

public char @NotNull [] getPassword()
Description copied from interface: `PasswordProvider`
Provides the password.

Specified by:
  `getPassword` in interface `PasswordProvider`
Returns:
  The password